Package org.tanukisoftware.wrapper.test

# Class LoadedWrapperListener

java.lang.Object
org.tanukisoftware.wrapper.test.LoadedWrapperListener

All Implemented Interfaces:
  `Runnable`, `WrapperListener`

public class LoadedWrapperListener extends Object implements WrapperListener, Runnable
This test was created to test timeout problems under heavily loaded conditions.

## Method Summary

Modifier and Type
Method
Description
`void`
`controlEvent(int event)`
Called whenever the native wrapper code traps a system control signal against the Java process.
`static void`
`main(String[] args)`
`void`
`run()`
Runner thread which actually launches the application.
`Integer`
`start(String[] args)`
The start method is called when the WrapperManager is signaled by the native wrapper code that it can start its application.
`int`
`stop(int exitCode)`
Called when the application is shutting down.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### start

public Integer start(String[] args)
The start method is called when the WrapperManager is signaled by the native wrapper code that it can start its application. This method call is expected to return, so a new thread should be launched if necessary.

Specified by:
  `start` in interface `WrapperListener`
Parameters:
  `args` - List of arguments used to initialize the application.
Returns:
  Any error code if the application should exit on completion of the start method. If there were no problems then this method should return null.

### stop

public int stop(int exitCode)
Called when the application is shutting down. The Wrapper assumes that this method will return fairly quickly. If the shutdown code code could potentially take a long time, then WrapperManager.signalStopping() should be called to extend the timeout period. If for some reason, the stop method can not return, then it must call WrapperManager.stopped() to avoid warning messages from the Wrapper.

Specified by:
  `stop` in interface `WrapperListener`
Parameters:
  `exitCode` - The suggested exit code that will be returned to the OS when the JVM exits.
Returns:
  The exit code to actually return to the OS. In most cases, this should just be the value of exitCode, however the user code has the option of changing the exit code if there are any problems during shutdown.

### controlEvent

public void controlEvent(int event)
Called whenever the native wrapper code traps a system control signal against the Java process. It is up to the callback to take any actions necessary. Possible values are: WrapperManager.WRAPPER_CTRL_C_EVENT, WRAPPER_CTRL_CLOSE_EVENT, WRAPPER_CTRL_LOGOFF_EVENT, or WRAPPER_CTRL_SHUTDOWN_EVENT

Specified by:
  `controlEvent` in interface `WrapperListener`
Parameters:
  `event` - The system control signal.

### run

public void run()
Runner thread which actually launches the application.

Specified by:
  `run` in interface `Runnable`

### main

public static void main(String[] args)